import { Problem } from './problem.interface';
import { Party } from './party.interface';
declare enum Verdict {
    FAILED = "FAILED",
    OK = "OK",
    PARTIAL = "PARTIAL",
    COMPILATION_ERROR = "COMPILATION_ERROR",
    RUNTIME_ERROR = "RUNTIME_ERROR",
    WRONG_ANSWER = "WRONG_ANSWER",
    PRESENTATION_ERROR = "PRESENTATION_ERROR",
    TIME_LIMIT_EXCEEDED = "TIME_LIMIT_EXCEEDED",
    MEMORY_LIMIT_EXCEEDED = "MEMORY_LIMIT_EXCEEDED",
    IDLENESS_LIMIT_EXCEEDED = "IDLENESS_LIMIT_EXCEEDED",
    SECURITY_VIOLATED = "SECURITY_VIOLATED",
    CRASHED = "CRASHED",
    INPUT_PREPARATION_CRASHED = "INPUT_PREPARATION_CRASHED",
    CHALLENGED = "CHALLENGED",
    SKIPPED = "SKIPPED",
    TESTING = "TESTING",
    REJECTED = "REJECTED"
}
export interface Submission {
    id: number;
    contestId?: number;
    creationTimeSeconds: number;
    relativeTimeSeconds: number;
    problem: Problem;
    author: Party;
    programmingLanguage: string;
    verdict?: Verdict;
    passedTestCount: number;
    timeConsumedMillis: number;
    memoryConsumedBytes: number;
}
export {};
