"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const __1 = __importDefault(require("../../.."));
describe('contest.status module', () => {
    const publicContestId = '556';
    const privateContestId = '258529';
    it('should fetch public contest submissions successfully', () => __awaiter(void 0, void 0, void 0, function* () {
        const client = new __1.default();
        const result = yield client.contest.status({ contestId: publicContestId, count: 5 });
        expect(result.status).toBe('OK');
        if (result.status === 'OK') {
            expect(result.result.length).toBe(5);
        }
    }));
    it('should fetch private contest submissions successfully', () => __awaiter(void 0, void 0, void 0, function* () {
        const client = new __1.default(process.env.CF_KEY, process.env.CF_SECRET);
        const result = yield client.contest.status({ contestId: privateContestId, count: 5 });
        expect(result.status).toBe('OK');
        if (result.status === 'OK') {
            expect(result.result.length).toBe(5);
        }
    }));
    it('should fail to fetch a private contest submissions without credentials', () => __awaiter(void 0, void 0, void 0, function* () {
        const client = new __1.default();
        const result = yield client.contest.status({ contestId: privateContestId, count: 5 });
        expect(result.status).toBe('FAILED');
    }));
});
//# sourceMappingURL=status.test.js.map